Package it.ernytech.tdlib

## Class TdApi.ChatMember

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatMember

Enclosing class:
  TdApi

    public static class TdApi.ChatMember
    extends TdApi.Object

A user with information about joining/leaving a chat.

### Field Summary

Fields
`TdApi.BotInfo` `botInfo` If the user is a bot, information about the bot; may be null.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `inviterUserId` Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.
`int` `joinedChatDate` Point in time (Unix timestamp) when the user joined a chat.
`TdApi.ChatMemberStatus` `status` Status of the member in the chat.
`int` `userId` User identifier of the chat member.

### Constructor Summary

Constructors
`ChatMember()` Default constructor.
`ChatMember​(int userId, int inviterUserId, int joinedChatDate, TdApi.ChatMemberStatus status, TdApi.BotInfo botInfo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### userId

    public int userId

User identifier of the chat member.

#### inviterUserId

    public int inviterUserId

Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.

#### joinedChatDate

    public int joinedChatDate

Point in time (Unix timestamp) when the user joined a chat.

#### status

    public TdApi.ChatMemberStatus status

Status of the member in the chat.

#### botInfo

    public TdApi.BotInfo botInfo

If the user is a bot, information about the bot; may be null. Can be null even for a bot if the bot is not a chat member.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatMember

    public ChatMember()

Default constructor.

#### ChatMember

    public ChatMember​(int userId,
                      int inviterUserId,
                      int joinedChatDate,
                      TdApi.ChatMemberStatus status,
                      TdApi.BotInfo botInfo)

Constructor for initialization of all fields.

Parameters:
  `userId` - User identifier of the chat member.
  `inviterUserId` - Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.
  `joinedChatDate` - Point in time (Unix timestamp) when the user joined a chat.
  `status` - Status of the member in the chat.
  `botInfo` - If the user is a bot, information about the bot; may be null. Can be null even for a bot if the bot is not a chat member.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR